'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var preact = require('preact');
var marked = _interopDefault(require('marked'));
var jsUtils = require('@hashicorp/js-utils');

function SectionHeader(_ref) {
  var headline = _ref.headline,
      description = _ref.description,
      use_h1 = _ref.use_h1;

  if (use_h1 === 'false') use_h1 = false;
  if (use_h1 === 'true') use_h1 = true;

  return preact.h(
    'div',
    { 'class': 'g-section-header' },
    headline && (use_h1 ? preact.h('h1', {
      dangerouslySetInnerHTML: {
        __html: jsUtils.eliminateOrphans(marked.inlineLexer(headline, []))
      }
    }) : preact.h('h2', {
      dangerouslySetInnerHTML: {
        __html: jsUtils.eliminateOrphans(marked.inlineLexer(headline, []))
      }
    })),
    description && preact.h('h3', {
      dangerouslySetInnerHTML: {
        __html: jsUtils.eliminateOrphans(marked.inlineLexer(description, []))
      }
    })
  );
}

module.exports = SectionHeader;
